

/**
 * Calculates the dimensions and white space of some elements 
 * based on the size of avatar. 
 */
function layout()
{
    // the div, that has /[inhout]MessageBody/ class
    var body = document.getElementById("layout");
    if (body == null){ return; }
    body.id = null;
    
    // regular expression to get start of className
    var reg = /^([hinout]+)MessageBody/;
    var matches = reg.exec(body.className);
    if (matches == null || matches.length < 2){ return; }
    
    // now we have the start of className. We'll use it to
    // find the other needed elements.
    var prep = matches[1];    
    
    // lets find avatar
    var avatars = getElementsByClassName(prep + "Avatar", "div", body);    
    if (avatars < 1) { return; }
    var avatar = avatars[0];
    
    // and the block, that contains the messageGroup
    var contents = getElementsByClassName(prep + "Content", "div", body);
    if (content < 1) { return; }
    var content = contents[0];
    
    // the padding correction in pixels
    var correction = 6;
    // the cPadding will be useful in future for calculating
    // the width of images/videos
    content.cPadding = avatar.clientWidth + correction;
    
    if (prep == "in" || prep == "hin")
    {
        content.style.paddingLeft = content.cPadding + "px";
        content.style.marginLeft = "0";   // this solves one ie bug
    }
    else {
        content.style.paddingRight = content.cPadding + "px";
    }
    
    // we don't want the absolute positioned avatar to be 
    // higher then the entire body of the message. That's why
    // we need to set the minimal height of the content.
    content.style.minHeight = avatar.clientHeight + "px";
}


/**
 * Hides the "noavatar" image when the user has no avatar.
 * This function has to be called before the layout function. 
 */
function hideAvatarIfNeeded()
{
    // gets the avatar image
    var avatar = document.getElementById("avatar");
    if (avatar == null) { return; }
    
    avatar.id = null;
    var reg = /noavatar\.jpg$/;
    
    if (reg.test(avatar.src))
    {
        avatar.style.display = "none";
    }
}
